/* - - - - - - - - - - - - - - -
Title: Our Solar System
Description: An experiment with CSS3 border-radius, transforms & animations.
Author: Alex Giron
Email: alexgiron@gmail.com
Twitter: @giron

www.neography.com
www.nclud.com
www.cssbeauty.com
- - - - - - - - - - - - - - - - - */
@import url(https://fonts.googleapis.com/css?family=Roboto);
h1,
h2,
h3,
h4,
h5,
h6,
p,
ul,
li {
    margin: 0;
    padding: 0;
}
body {
    font: 12px/1.5 "Roboto", Helvetica, Arial, sans-serif;
    background: #080e24 url(bg.jpg) repeat;
    color: #626668;
}
div.wrap {
    width: 960px;
    margin: 0 auto;
    padding: 60px 0;
}
a.about,
a.twitter {
    display: block;
    position: fixed;
    bottom: 20px;
    right: 20px;
    background: #32312b;
    padding: 7px 28px;
    text-decoration: none;
    color: #eee5a2;
    font-size: 12px;
    border-radius: 20px;
    transition: all 0.15s ease-in;
}
a.twitter {
    right: 220px;
}
a.about:hover,
a.twitter:hover {
    background: #aa4200;
    color: #fff;
}
section {
    display: block;
    position: relative;
}
header {
    text-align: center;
}
header h1 {
    font-size: 80px;
    line-height: 1;
    color: #eee5a2;
    text-transform: uppercase;
    text-shadow: 5px 5px #32312b;
}
header p {
    font-size: 20px;
    color: #6a695f;
    margin: 0 0 10px;
}
header p.disclaimer {
    font-size: 13px;
    color: #33373d;
}

/* Solar System Styles */

ul.solarsystem {
    position: relative;
    height: 640px;
    list-style: none;
    transition: all 0.09s ease-in;
    overflow: hidden;
}
ul.solarsystem li {
    text-indent: -9999px;
    display: block;
    position: absolute;
    border: 2px solid #394057;
    /*    opacity: 0.7;*/
}
ul.solarsystem li span {
    display: block;
    position: absolute;
    width: 10px;
    height: 10px;
    border-radius: 5px;
}
ul.solarsystem li.active {
    border-color: #aa4200;
}
ul.solarsystem li.active.sun,
ul.solarsystem li.active span {
    transform: scale(1.3);
}
ul.solarsystem li.active.sun span,
ul.solarsystem li.active.earth .moon {
    border: none;
    box-shadow: none;
}
ul.solarsystem li.sun {
    width: 40px;
    height: 40px;
    border-radius: 20px;
    background: #fc3;
    background-image: gradient( linear, left bottom, left top, color-stop(0.22, rgb(204, 153, 0)), color-stop(1, rgb(255, 219, 112)));
    top: 302px;
    left: 462px;
    border: none;
    box-shadow: 0 0 50px #c90;
    z-index: 100;
    transition: all 0.2s ease-in;
}
ul.solarsystem li.sun span {
    width: 60px;
    height: 60px;
    border-radius: 30px;
}
ul.solarsystem li.mercury {
    width: 100px;
    height: 100px;
    border-radius: 52px;
    top: 270px;
    left: 430px;
    z-index: 99;
}
ul.solarsystem li.mercury span {
    background: #b6bac5;
    top: 10px;
    left: 10px;
}
ul.solarsystem li.venus {
    width: 160px;
    height: 160px;
    border-radius: 82px;
    top: 240px;
    left: 400px;
    z-index: 98;
}
ul.solarsystem li.venus span {
    background: #bf8639;
    top: 118px;
    left: 5px;
}
ul.solarsystem li.earth {
    width: 220px;
    height: 220px;
    border-radius: 112px;
    top: 210px;
    left: 370px;
    z-index: 97;
}
ul.solarsystem li.earth span {
    background: #06c;
    top: 56px;
    left: 5px;
}
ul.solarsystem li.earth span.moon {
    width: 4px;
    height: 4px;
    border-radius: 2px;
    background: #ccc;
    top: 12px;
    left: 12px;
}
ul.solarsystem li.mars {
    width: 280px;
    height: 280px;
    border-radius: 142px;
    top: 180px;
    left: 340px;
    z-index: 96;
}
ul.solarsystem li.mars span {
    background: #aa4200;
    top: 0px;
    left: 175px;
}
ul.solarsystem li.asteroids_meteorids {
    top: 155px;
    left: 315px;
    z-index: 1;
    background: url(asteroids_meteorids.png) no-repeat 0 0;
    width: 330px;
    height: 330px;
    border-radius: 165px;
    border: none;
}
ul.solarsystem li.jupiter {
    width: 340px;
    height: 340px;
    border-radius: 172px;
    top: 150px;
    left: 310px;
    z-index: 95;
}
ul.solarsystem li.jupiter span {
    background: #e0ae6f;
    top: 67px;
    left: 24px;
}
ul.solarsystem li.saturn {
    width: 400px;
    height: 400px;
    border-radius: 202px;
    top: 120px;
    left: 280px;
    z-index: 94;
}
ul.solarsystem li.saturn span {
    background: #dfd3a9;
    top: 24px;
    left: 300px;
}
ul.solarsystem li.saturn span.ring {
    width: 12px;
    height: 12px;
    border-radius: 8px;
    background: none;
    border: 2px solid #5a4e34;
    left: -3px;
    top: -3px;
    transform: skewY(50deg);
}
ul.solarsystem li.uranus {
    width: 460px;
    height: 460px;
    border-radius: 232px;
    top: 90px;
    left: 250px;
    z-index: 93;
}
ul.solarsystem li.uranus span {
    background: #82b3d1;
    top: 7px;
    left: 300px;
}
ul.solarsystem li.neptune {
    width: 520px;
    height: 520px;
    border-radius: 262px;
    top: 60px;
    left: 220px;
    z-index: 92;
}
ul.solarsystem li.neptune span {
    background: #77c2ec;
    top: 0px;
    left: 200px;
}
ul.solarsystem li.pluto {
    width: 580px;
    height: 580px;
    border-radius: 292px;
    top: 30px;
    left: 190px;
    z-index: 91;
}
ul.solarsystem li.pluto span {
    background: #7c6a5c;
    top: 79px;
    left: 79px;
}
ul.descriptions {
    position: absolute;
    top: 150px;
    right: 80px;
    list-style: none;
}
ul.descriptions h2 {
    cursor: pointer;
    color: #386077;
    transition: all 0.15s ease-in;
    font-size: 20px;
    position: relative;
    z-index: 101;
    transform: scale(1);
}
ul.descriptions h2:hover {
    color: #aa4200;
    transform: scale(1.08);
}
ul.descriptions li p {
    position: absolute;
    left: -250px;
    top: 0;
    width: 200px;
    display: inline;
    opacity: 0;
    visibility: hidden;
    font-size: 13px;
    border-radius: 5px;
    transition: all 0.3s ease-in;
    background: #0f132c;
    padding: 30px;
    color: #767892;
    line-height: 1.7;
    z-index: 100;
    border: 1px solid #1c203c;
}
ul.descriptions h2:hover+p {
    visibility: visible;
    opacity: 0.9;
    left: -280px;
}

/* CSS3 Animations */

ul.solarsystem li {
    animation-iteration-count: infinite;
    animation-timing-function: linear;
    animation-name: orbit;
}
ul.solarsystem li.earth span {
    animation-iteration-count: infinite;
    animation-timing-function: linear;
    animation-name: moon;
}
ul.solarsystem li.mercury {
    animation-duration: 5s;
}
ul.solarsystem li.venus {
    animation-duration: 8s;
}
ul.solarsystem li.earth {
    animation-duration: 12s;
}
ul.solarsystem li.earth span {
    animation-duration: 2s;
}
ul.solarsystem li.mars {
    animation-duration: 20s;
}
ul.solarsystem li.asteroids_meteorids {
    animation-duration: 50s;
}
ul.solarsystem li.jupiter {
    animation-duration: 30s;
}
ul.solarsystem li.saturn {
    animation-duration: 60s;
}
ul.solarsystem li.uranus {
    animation-duration: 70s;
}
ul.solarsystem li.neptune {
    animation-duration: 100s;
}
ul.solarsystem li.pluto {
    animation-duration: 120s;
}
@keyframes orbit {
    from {
        transform: rotate(0deg)
    }
    to {
        transform: rotate(360deg)
    }
}
@keyframes moon {
    from {
        transform: rotate(0deg)
    }
    to {
        transform: rotate(360deg)
    }
}

/* ul.solarsystem:hover li {animation-play-state: paused;} */
/* iPad Specific */
@media only screen and (max-device-width:1024px) {
    p.links {
        text-align: center;
        width: 350px;
        margin: 0 auto;
    }
    a.about,
    a.twitter {
        position: static;
        text-align: left;
        margin: 0 10px 0 0;
        float: left;
    }
}
